const Chance = require('chance')
const {
  handlingEditor,
  submittingAuthor,
  invitedHandlingEditor,
} = require('./userData')

const chance = new Chance()
module.exports = {
  standardCollection: {
    id: chance.guid(),
    title: 'Standard Collection',
    type: 'collection',
    fragments: [],
    owners: [submittingAuthor.id],
    save: jest.fn(),
    invitations: [
      {
        id: chance.guid(),
        role: 'handlingEditor',
        hasAnswer: false,
        isAccepted: false,
        userId: handlingEditor.id,
        timestamp: chance.timestamp(),
      },
      {
        id: chance.guid(),
        role: 'handlingEditor',
        hasAnswer: false,
        isAccepted: false,
        userId: invitedHandlingEditor.id,
        timestamp: chance.timestamp(),
      },
    ],
  },
  noInvitationsCollection: {
    id: chance.guid(),
    title: 'No Team Collection',
    type: 'collection',
    fragments: [],
    owners: [],
    save: jest.fn(),
  },
  authorsCollection: {
    id: chance.guid(),
    title: chance.sentence(),
    type: 'collection',
    fragments: [],
    owners: [submittingAuthor.id],
    save: jest.fn(),
  },
}
